/* lsb_issymlink:
 *	Arguments: argv[1] filename
 *	Returns: 0 - True, filename is a symlink
 *		 1 - False , filename is not a symlink
 *		 2 - Unresolved, too many arguments
 */

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include "lsb-fhs-ts.h"

main (argc, argv)
int argc;
char *argv[];
{
struct stat buf;
int retval;

if ( argc < 2 ) {
	fprintf(stderr, "%s: usage: %s filename\n", argv[0], argv[0]);
	exit(LSB_FHS_TS_UNRESOLVED);
}

errno = 0;
retval = lstat ( argv[1], &buf );
if ( retval == -1 ) {

	fprintf(stderr, "%s: lstat (%s) returned -1, errno= %d, (%s)\n",
		argv[0], argv[1], errno, strerror(errno));

	exit (LSB_FHS_TS_UNRESOLVED);
}

if (S_ISLNK(buf.st_mode))
	exit (LSB_FHS_TS_PASS);
else
	exit (LSB_FHS_TS_FAIL);

}
